employee (Person): The person who had the interactioncurl --location '/phishing/interactions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"distinct_count": "string",
"distinct_on": "host_name",
"include_total_count": true,
"limit": 10,
"offset": 0,
"query": "name='\''WINPC-4291'\'' AND status IN ('\''active'\'', '\''pending'\'')",
"sort": "name desc, id"
}'{
"distinct_values": [
{
"count": 0,
"value": null
}
],
"pagination": {
"count": 0,
"total_count": 1000
},
"items": [
{
"allowlisted": true,
"campaign_id": "91",
"campaign_name": "Smishing Test",
"employee_email": "joe.smith@example.com",
"employee_name": "Joe Smith",
"high_prevalence": true,
"id": "8CA67511-744C-4D74-B26E-7281CF88712F",
"interactions": [
"data_submission"
],
"network_origin": {
"geographic_location": {
"city": "San Francisco",
"country": "United States",
"country_code": "US",
"latitude": 0,
"longitude": 0,
"region": "California",
"timezone": "America/Los_Angeles"
},
"ip": "203.0.113.45",
"network": {
"asn": "AS15169",
"asn_name": "Google LLC",
"host_type": [
"HOSTING",
"ANYCAST"
]
},
"privacy": {
"privacy_mode": [
"VPN"
],
"service_name": "NordVPN"
}
},
"person_email": "alice@example.com",
"risk_score": 9.2,
"source": "unspecified",
"timestamp": "2021-01-01T00:00:00Z"
}
]
}